
module Config

  VERSION == "1.6.2" or
    raise "ruby lib version (1.6.2) doesn't match executable version (#{VERSION})"

# This file was created by configrb when ruby was built. Any changes
# made to this file will be lost the next time ruby is built.
  DESTDIR = '' if not defined? DESTDIR
  CONFIG = {}
  TOPDIR = File.dirname(__FILE__).sub!(%r'/lib/ruby/1\.6/i386\-linux\-gnu\Z', '')
  CONFIG["srcdir"] = "/usr/src/bs/BUILD/ruby-1.6.2/ruby-1.6.2"
  CONFIG["prefix"] = (TOPDIR || DESTDIR + "/usr")
  CONFIG["ruby_install_name"] = "ruby"
  CONFIG["EXEEXT"] = ""
  CONFIG["SHELL"] = "/bin/sh"
  CONFIG["CFLAGS"] = "-O2 -march=i386 -mcpu=i686 -fPIC"
  CONFIG["CPPFLAGS"] = ""
  CONFIG["CXXFLAGS"] = "-O2 -march=i386 -mcpu=i686"
  CONFIG["FFLAGS"] = "-O2 -march=i386 -mcpu=i686"
  CONFIG["LDFLAGS"] = "-rdynamic"
  CONFIG["LIBS"] = "-ldl -lcrypt -lm "
  CONFIG["exec_prefix"] = "/usr"
  CONFIG["bindir"] = "/usr/bin"
  CONFIG["sbindir"] = "/usr/sbin"
  CONFIG["libexecdir"] = "/usr/libexec"
  CONFIG["datadir"] = "/usr/share"
  CONFIG["sysconfdir"] = "/etc"
  CONFIG["sharedstatedir"] = "/usr/com"
  CONFIG["localstatedir"] = "/var"
  CONFIG["libdir"] = "/usr/lib"
  CONFIG["includedir"] = "/usr/include"
  CONFIG["oldincludedir"] = "/usr/include"
  CONFIG["infodir"] = "/usr/share/info"
  CONFIG["mandir"] = "/usr/share/man"
  CONFIG["MAJOR"] = "1"
  CONFIG["MINOR"] = "6"
  CONFIG["TEENY"] = "2"
  CONFIG["host"] = "i386-redhat-linux-gnu"
  CONFIG["host_alias"] = "i386-redhat-linux"
  CONFIG["host_cpu"] = "i386"
  CONFIG["host_vendor"] = "redhat"
  CONFIG["host_os"] = "linux-gnu"
  CONFIG["target"] = "i386-redhat-linux-gnu"
  CONFIG["target_alias"] = "i386-redhat-linux"
  CONFIG["target_cpu"] = "i386"
  CONFIG["target_vendor"] = "redhat"
  CONFIG["target_os"] = "linux-gnu"
  CONFIG["build"] = "i386-redhat-linux-gnu"
  CONFIG["build_alias"] = "i386-redhat-linux"
  CONFIG["build_cpu"] = "i386"
  CONFIG["build_vendor"] = "redhat"
  CONFIG["build_os"] = "linux-gnu"
  CONFIG["CC"] = "gcc"
  CONFIG["CPP"] = "gcc -E"
  CONFIG["YACC"] = "bison -y"
  CONFIG["RANLIB"] = "ranlib"
  CONFIG["AR"] = "ar"
  CONFIG["NM"] = ""
  CONFIG["DLLWRAP"] = ""
  CONFIG["AS"] = ""
  CONFIG["DLLTOOL"] = ""
  CONFIG["WINDRES"] = ""
  CONFIG["LN_S"] = "ln -s"
  CONFIG["SET_MAKE"] = ""
  CONFIG["OBJEXT"] = "o"
  CONFIG["LIBOBJS"] = ""
  CONFIG["ALLOCA"] = ""
  CONFIG["XLDFLAGS"] = ""
  CONFIG["DLDFLAGS"] = ""
  CONFIG["STATIC"] = ""
  CONFIG["CCDLFLAGS"] = "-fPIC"
  CONFIG["LDSHARED"] = "gcc -shared"
  CONFIG["DLEXT"] = "so"
  CONFIG["DLEXT2"] = ""
  CONFIG["STRIP"] = "strip -S -x"
  CONFIG["EXTSTATIC"] = ""
  CONFIG["setup"] = "Setup"
  CONFIG["MINIRUBY"] = "./miniruby$(EXEEXT)"
  CONFIG["PREP"] = ""
  CONFIG["LIBRUBY_LDSHARED"] = "gcc -shared"
  CONFIG["LIBRUBY_DLDFLAGS"] = "-Wl,-soname,lib$(RUBY_INSTALL_NAME).so.$(MAJOR).$(MINOR)"
  CONFIG["RUBY_INSTALL_NAME"] = "ruby"
  CONFIG["RUBY_SO_NAME"] = ""
  CONFIG["LIBRUBY_A"] = "lib$(RUBY_INSTALL_NAME).a"
  CONFIG["LIBRUBY_SO"] = "lib$(RUBY_INSTALL_NAME).so.$(MAJOR).$(MINOR).$(TEENY)"
  CONFIG["LIBRUBY_ALIASES"] = "lib$(RUBY_INSTALL_NAME).so.$(MAJOR).$(MINOR) lib$(RUBY_INSTALL_NAME).so"
  CONFIG["LIBRUBY"] = "$(LIBRUBY_SO)"
  CONFIG["LIBRUBYARG"] = "-L. -l$(RUBY_INSTALL_NAME)"
  CONFIG["SOLIBS"] = ""
  CONFIG["DLDLIBS"] = "-lc"
  CONFIG["ENABLE_SHARED"] = "yes"
  CONFIG["arch"] = "i386-linux-gnu"
  CONFIG["sitedir"] = "#{CONFIG[\"prefix\"]}/lib/ruby/site_ruby"
  CONFIG["configure_args"] = "i386-redhat-linux --prefix=/usr --exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib --libexecdir=/usr/libexec --localstatedir=/var --sharedstatedir=/usr/com --mandir=/usr/share/man --infodir=/usr/share/info --with-default-kcode=none --with-dbm-include=/usr/include/db1 --enable-shared --enable-ipv6 --with-lookup-order-hack=INET"
  CONFIG["compile_dir"] = "/usr/src/bs/BUILD/ruby-1.6.2/ruby-1.6.2"
  MAKEFILE_CONFIG = {}
  CONFIG.each{|k,v| MAKEFILE_CONFIG[k] = v.dup}
  def Config::expand(val)
    val.gsub!(/\$\(([^()]+)\)/) do |var|
      key = $1
      if CONFIG.key? key
        "#{Config::expand(CONFIG[\"#{key}\"])}"
      else
	var
      end
    end
    val
  end
  CONFIG.each_value do |val|
    Config::expand(val)
  end
end
